add function libraryinfo and librarieslist
[scilab.git] / scilab / modules / functions / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2009 - DIGITEO - Allan CORNET
19 #
20 # This file is distributed under the same license as the Scilab package.
21
22 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
23 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
24 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
25 #
26 # This file must be used under the terms of the CeCILL.
27 # This source file is licensed as described in the file COPYING, which
28 # you should have received as part of this distribution.  The terms
29 # are also available at
30 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
31 #
32
33 ##########
34 ### Makefile included stuff
35 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
36 ##########
37
38
39 VPATH = @srcdir@
40 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
41 am__make_running_with_option = \
42   case $${target_option-} in \
43       ?) ;; \
44       *) echo "am__make_running_with_option: internal error: invalid" \
45               "target option '$${target_option-}' specified" >&2; \
46          exit 1;; \
47   esac; \
48   has_opt=no; \
49   sane_makeflags=$$MAKEFLAGS; \
50   if $(am__is_gnu_make); then \
51     sane_makeflags=$$MFLAGS; \
52   else \
53     case $$MAKEFLAGS in \
54       *\\[\ \   ]*) \
55         bs=\\; \
56         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
57           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
58     esac; \
59   fi; \
60   skip_next=no; \
61   strip_trailopt () \
62   { \
63     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
64   }; \
65   for flg in $$sane_makeflags; do \
66     test $$skip_next = yes && { skip_next=no; continue; }; \
67     case $$flg in \
68       *=*|--*) continue;; \
69         -*I) strip_trailopt 'I'; skip_next=yes;; \
70       -*I?*) strip_trailopt 'I';; \
71         -*O) strip_trailopt 'O'; skip_next=yes;; \
72       -*O?*) strip_trailopt 'O';; \
73         -*l) strip_trailopt 'l'; skip_next=yes;; \
74       -*l?*) strip_trailopt 'l';; \
75       -[dEDm]) skip_next=yes;; \
76       -[JT]) skip_next=yes;; \
77     esac; \
78     case $$flg in \
79       *$$target_option*) has_opt=yes; break;; \
80     esac; \
81   done; \
82   test $$has_opt = yes
83 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
84 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
85 pkgdatadir = $(datadir)/@PACKAGE@
86 pkgincludedir = $(includedir)/@PACKAGE@
87 pkglibdir = $(libdir)/@PACKAGE@
88 pkglibexecdir = $(libexecdir)/@PACKAGE@
89 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
90 install_sh_DATA = $(install_sh) -c -m 644
91 install_sh_PROGRAM = $(install_sh) -c
92 install_sh_SCRIPT = $(install_sh) -c
93 INSTALL_HEADER = $(INSTALL_DATA)
94 transform = $(program_transform_name)
95 NORMAL_INSTALL = :
96 PRE_INSTALL = :
97 POST_INSTALL = :
98 NORMAL_UNINSTALL = :
99 PRE_UNINSTALL = :
100 POST_UNINSTALL = :
101 build_triplet = @build@
102 host_triplet = @host@
103 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
104         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
105         $(top_srcdir)/config/depcomp
106 @NEED_JAVA_TRUE@am__append_1 = java
107 subdir = modules/functions
108 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
109 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
110         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
111         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
112         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
113         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
114         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
115         $(top_srcdir)/m4/intel_compiler.m4 \
116         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
117         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
118         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
119         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
120         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
121         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
122         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
123         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
124         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
125         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
126         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
127 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
128         $(ACLOCAL_M4)
129 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
130 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
131 CONFIG_CLEAN_FILES =
132 CONFIG_CLEAN_VPATH_FILES =
133 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
134 am__vpath_adj = case $$p in \
135     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
136     *) f=$$p;; \
137   esac;
138 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
139 am__install_max = 40
140 am__nobase_strip_setup = \
141   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
142 am__nobase_strip = \
143   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
144 am__nobase_list = $(am__nobase_strip_setup); \
145   for p in $$list; do echo "$$p $$p"; done | \
146   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
147   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
148     if (++n[$$2] == $(am__install_max)) \
149       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
150     END { for (dir in files) print dir, files[dir] }'
151 am__base_list = \
152   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
153   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
154 am__uninstall_files_from_dir = { \
155   test -z "$$files" \
156     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
157     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
158          $(am__cd) "$$dir" && rm -f $$files; }; \
159   }
160 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
161         "$(DESTDIR)$(libscifunctions_la_etcdir)" \
162         "$(DESTDIR)$(libscifunctions_la_rootdir)" \
163         "$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)"
164 LTLIBRARIES = $(pkglib_LTLIBRARIES)
165 libscifunctions_la_LIBADD =
166 am__dirstamp = $(am__leading_dot)dirstamp
167 am__objects_1 = sci_gateway/c/libscifunctions_la-gw_functions.lo
168 am__objects_2 = sci_gateway/cpp/libscifunctions_la-sci_exec.lo \
169         sci_gateway/cpp/libscifunctions_la-sci_functionlist.lo \
170         sci_gateway/cpp/libscifunctions_la-sci_whereis.lo \
171         sci_gateway/cpp/libscifunctions_la-sci_execstr.lo \
172         sci_gateway/cpp/libscifunctions_la-sci_getCurrentThreadId.lo \
173         sci_gateway/cpp/libscifunctions_la-sci_getThreads.lo \
174         sci_gateway/cpp/libscifunctions_la-sci_macrovar.lo \
175         sci_gateway/cpp/libscifunctions_la-sci_libraryinfo.lo \
176         sci_gateway/cpp/libscifunctions_la-sci_librarieslist.lo
177 am_libscifunctions_la_OBJECTS = $(am__objects_1) $(am__objects_2)
178 libscifunctions_la_OBJECTS = $(am_libscifunctions_la_OBJECTS)
179 AM_V_lt = $(am__v_lt_@AM_V@)
180 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
181 am__v_lt_0 = --silent
182 am__v_lt_1 = 
183 AM_V_P = $(am__v_P_@AM_V@)
184 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
185 am__v_P_0 = false
186 am__v_P_1 = :
187 AM_V_GEN = $(am__v_GEN_@AM_V@)
188 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
189 am__v_GEN_0 = @echo "  GEN     " $@;
190 am__v_GEN_1 = 
191 AM_V_at = $(am__v_at_@AM_V@)
192 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
193 am__v_at_0 = @
194 am__v_at_1 = 
195 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
196 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
197 am__depfiles_maybe = depfiles
198 am__mv = mv -f
199 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
200         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
201 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
202         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
203         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
204         $(AM_CFLAGS) $(CFLAGS)
205 AM_V_CC = $(am__v_CC_@AM_V@)
206 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
207 am__v_CC_0 = @echo "  CC      " $@;
208 am__v_CC_1 = 
209 CCLD = $(CC)
210 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
211         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
212         $(AM_LDFLAGS) $(LDFLAGS) -o $@
213 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
214 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
215 am__v_CCLD_0 = @echo "  CCLD    " $@;
216 am__v_CCLD_1 = 
217 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
218         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
219 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
220         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
221         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
222         $(AM_CXXFLAGS) $(CXXFLAGS)
223 AM_V_CXX = $(am__v_CXX_@AM_V@)
224 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
225 am__v_CXX_0 = @echo "  CXX     " $@;
226 am__v_CXX_1 = 
227 CXXLD = $(CXX)
228 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
229         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
230         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
231 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
232 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
233 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
234 am__v_CXXLD_1 = 
235 SOURCES = $(libscifunctions_la_SOURCES)
236 DIST_SOURCES = $(libscifunctions_la_SOURCES)
237 am__can_run_installinfo = \
238   case $$AM_UPDATE_INFO_DIR in \
239     n|no|NO) false;; \
240     *) (install-info --version) >/dev/null 2>&1;; \
241   esac
242 DATA = $(libscifunctions_la_etc_DATA) $(libscifunctions_la_root_DATA) \
243         $(libscifunctions_la_sci_gateway_DATA)
244 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
245 # Read a list of newline-separated strings from the standard input,
246 # and print each of them once, without duplicates.  Input order is
247 # *not* preserved.
248 am__uniquify_input = $(AWK) '\
249   BEGIN { nonempty = 0; } \
250   { items[$$0] = 1; nonempty = 1; } \
251   END { if (nonempty) { for (i in items) print i; }; } \
252 '
253 # Make sure the list of sources is unique.  This is necessary because,
254 # e.g., the same source file might be shared among _SOURCES variables
255 # for different programs/libraries.
256 am__define_uniq_tagged_files = \
257   list='$(am__tagged_files)'; \
258   unique=`for i in $$list; do \
259     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
260   done | $(am__uniquify_input)`
261 ETAGS = etags
262 CTAGS = ctags
263 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
264 ACLOCAL = @ACLOCAL@
265 ALL_LINGUAS = @ALL_LINGUAS@
266 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
267 AMTAR = @AMTAR@
268 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
269 ANT = @ANT@
270 ANTLR = @ANTLR@
271 AR = @AR@
272 ARPACK_LIBS = @ARPACK_LIBS@
273 ASM3 = @ASM3@
274 AUTOCONF = @AUTOCONF@
275 AUTOHEADER = @AUTOHEADER@
276 AUTOMAKE = @AUTOMAKE@
277 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
278 AWK = @AWK@
279 BATIK = @BATIK@
280 BLAS_LIBS = @BLAS_LIBS@
281 CC = @CC@
282 CCACHE = @CCACHE@
283 CCDEPMODE = @CCDEPMODE@
284 CFLAGS = @CFLAGS@
285 CHECKSTYLE = @CHECKSTYLE@
286 COBERTURA = @COBERTURA@
287 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
288 COMMONS_IO = @COMMONS_IO@
289 COMMONS_LOGGING = @COMMONS_LOGGING@
290 CPP = @CPP@
291 CPPFLAGS = @CPPFLAGS@
292 CURL_CFLAGS = @CURL_CFLAGS@
293 CURL_CONFIG = @CURL_CONFIG@
294 CURL_LIBS = @CURL_LIBS@
295 CURL_VERSION = @CURL_VERSION@
296 CXX = @CXX@
297 CXXCPP = @CXXCPP@
298 CXXDEPMODE = @CXXDEPMODE@
299 CXXFLAGS = @CXXFLAGS@
300 CYGPATH_W = @CYGPATH_W@
301 DEFS = @DEFS@
302 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
303 DEPDIR = @DEPDIR@
304 DLLTOOL = @DLLTOOL@
305 DOCBOOK_ROOT = @DOCBOOK_ROOT@
306 DOXYGEN_BIN = @DOXYGEN_BIN@
307 DSYMUTIL = @DSYMUTIL@
308 DUMPBIN = @DUMPBIN@
309 ECHO_C = @ECHO_C@
310 ECHO_N = @ECHO_N@
311 ECHO_T = @ECHO_T@
312 ECJ = @ECJ@
313 EGREP = @EGREP@
314 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
315 EXEEXT = @EXEEXT@
316 F77 = @F77@
317 FFLAGS = @FFLAGS@
318 FFTW3_LIB = @FFTW3_LIB@
319 FFTW_ENABLE = @FFTW_ENABLE@
320 FGREP = @FGREP@
321 FLEXDOCK = @FLEXDOCK@
322 FLIBS = @FLIBS@
323 FOP = @FOP@
324 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
325 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
326 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
327 FREEHEP_IO = @FREEHEP_IO@
328 FREEHEP_UTIL = @FREEHEP_UTIL@
329 GENHTML = @GENHTML@
330 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
331 GIWS_BIN = @GIWS_BIN@
332 GLUEGEN2_RT = @GLUEGEN2_RT@
333 GMSGFMT = @GMSGFMT@
334 GMSGFMT_015 = @GMSGFMT_015@
335 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
336 GREP = @GREP@
337 GUI_ENABLE = @GUI_ENABLE@
338 HAVE_CXX11 = @HAVE_CXX11@
339 HDF5_CFLAGS = @HDF5_CFLAGS@
340 HDF5_LIBS = @HDF5_LIBS@
341 HELP_ENABLE = @HELP_ENABLE@
342 INSTALL = @INSTALL@
343 INSTALL_DATA = @INSTALL_DATA@
344 INSTALL_PROGRAM = @INSTALL_PROGRAM@
345 INSTALL_SCRIPT = @INSTALL_SCRIPT@
346 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
347 INTLLIBS = @INTLLIBS@
348 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
349 JAR = @JAR@
350 JAVA = @JAVA@
351 JAVAC = @JAVAC@
352 JAVAC_DEBUG = @JAVAC_DEBUG@
353 JAVADOC = @JAVADOC@
354 JAVAH = @JAVAH@
355 JAVASCI_ENABLE = @JAVASCI_ENABLE@
356 JAVA_ENABLE = @JAVA_ENABLE@
357 JAVA_G = @JAVA_G@
358 JAVA_HOME = @JAVA_HOME@
359 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
360 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
361 JDB = @JDB@
362 JEUCLID_CORE = @JEUCLID_CORE@
363 JGRAPHX = @JGRAPHX@
364 JHALL = @JHALL@
365 JLATEXMATH = @JLATEXMATH@
366 JLATEXMATH_FOP = @JLATEXMATH_FOP@
367 JOGL2 = @JOGL2@
368 JROSETTA_API = @JROSETTA_API@
369 JROSETTA_ENGINE = @JROSETTA_ENGINE@
370 JUNIT4 = @JUNIT4@
371 LAPACK_LIBS = @LAPACK_LIBS@
372 LCOV = @LCOV@
373 LD = @LD@
374 LDFLAGS = @LDFLAGS@
375 LEX = @LEX@
376 LEXLIB = @LEXLIB@
377 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
378 LIBICONV = @LIBICONV@
379 LIBINTL = @LIBINTL@
380 LIBM = @LIBM@
381 LIBOBJS = @LIBOBJS@
382 LIBS = @LIBS@
383 LIBTOOL = @LIBTOOL@
384 LIPO = @LIPO@
385 LN_S = @LN_S@
386 LOGGING_LEVEL = @LOGGING_LEVEL@
387 LOOKS = @LOOKS@
388 LTLIBICONV = @LTLIBICONV@
389 LTLIBINTL = @LTLIBINTL@
390 LTLIBOBJS = @LTLIBOBJS@
391 MAINT = @MAINT@
392 MAKEINFO = @MAKEINFO@
393 MANIFEST_TOOL = @MANIFEST_TOOL@
394 MATIO_CFLAGS = @MATIO_CFLAGS@
395 MATIO_ENABLE = @MATIO_ENABLE@
396 MATIO_LIBS = @MATIO_LIBS@
397 MKDIR_P = @MKDIR_P@
398 MPI_ENABLE = @MPI_ENABLE@
399 MSGCAT = @MSGCAT@
400 MSGFMT = @MSGFMT@
401 MSGFMT_015 = @MSGFMT_015@
402 MSGMERGE = @MSGMERGE@
403 NM = @NM@
404 NMEDIT = @NMEDIT@
405 OBJDUMP = @OBJDUMP@
406 OBJEXT = @OBJEXT@
407 OCAMLC = @OCAMLC@
408 OCAMLDEP = @OCAMLDEP@
409 OCAMLLEX = @OCAMLLEX@
410 OCAMLOPT = @OCAMLOPT@
411 OCAMLYACC = @OCAMLYACC@
412 OPENMPI_CC = @OPENMPI_CC@
413 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
414 OPENMPI_CXX = @OPENMPI_CXX@
415 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
416 OPENMPI_LIBS = @OPENMPI_LIBS@
417 OPENMP_CFLAGS = @OPENMP_CFLAGS@
418 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
419 OPENMP_ENABLE = @OPENMP_ENABLE@
420 OPENMP_LIBS = @OPENMP_LIBS@
421 OTOOL = @OTOOL@
422 OTOOL64 = @OTOOL64@
423 PACKAGE = @PACKAGE@
424 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
425 PACKAGE_NAME = @PACKAGE_NAME@
426 PACKAGE_STRING = @PACKAGE_STRING@
427 PACKAGE_TARNAME = @PACKAGE_TARNAME@
428 PACKAGE_URL = @PACKAGE_URL@
429 PACKAGE_VERSION = @PACKAGE_VERSION@
430 PATH_SEPARATOR = @PATH_SEPARATOR@
431 PCRE_CFLAGS = @PCRE_CFLAGS@
432 PCRE_CONFIG = @PCRE_CONFIG@
433 PCRE_LIBS = @PCRE_LIBS@
434 PCRE_VERSION = @PCRE_VERSION@
435 PKG_CONFIG = @PKG_CONFIG@
436 POSUB = @POSUB@
437 POW_LIB = @POW_LIB@
438 PYTHON = @PYTHON@
439 RANLIB = @RANLIB@
440 RELOCATABLE = @RELOCATABLE@
441 RT_LIB = @RT_LIB@
442 SAXON = @SAXON@
443 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
444 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
445 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
446 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
447 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
448 SCIRENDERER = @SCIRENDERER@
449 SCIRENDERER_CP = @SCIRENDERER_CP@
450 SCI_CFLAGS = @SCI_CFLAGS@
451 SCI_CXXFLAGS = @SCI_CXXFLAGS@
452 SCI_FFLAGS = @SCI_FFLAGS@
453 SCI_LDFLAGS = @SCI_LDFLAGS@
454 SED = @SED@
455 SET_MAKE = @SET_MAKE@
456 SET_RELOCATABLE = @SET_RELOCATABLE@
457 SHELL = @SHELL@
458 SKINLF = @SKINLF@
459 SPLINT = @SPLINT@
460 STRIP = @STRIP@
461 SWIG_BIN = @SWIG_BIN@
462 SWIG_JAVA = @SWIG_JAVA@
463 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
464 SWIG_SCILAB = @SWIG_SCILAB@
465 TCLTK_LIBS = @TCLTK_LIBS@
466 TCL_INC_PATH = @TCL_INC_PATH@
467 TK_INC_PATH = @TK_INC_PATH@
468 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
469 UMFPACK_ENABLE = @UMFPACK_ENABLE@
470 UMFPACK_LIB = @UMFPACK_LIB@
471 USE_NLS = @USE_NLS@
472 VERSION = @VERSION@
473 WITH_OCAML = @WITH_OCAML@
474 WITH_TKSCI = @WITH_TKSCI@
475 XCOS_ENABLE = @XCOS_ENABLE@
476 XGETTEXT = @XGETTEXT@
477 XGETTEXT_015 = @XGETTEXT_015@
478 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
479 XMKMF = @XMKMF@
480 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
481 XML_APIS_EXT = @XML_APIS_EXT@
482 XML_CONFIG = @XML_CONFIG@
483 XML_FLAGS = @XML_FLAGS@
484 XML_LIBS = @XML_LIBS@
485 XML_VERSION = @XML_VERSION@
486 X_CFLAGS = @X_CFLAGS@
487 X_EXTRA_LIBS = @X_EXTRA_LIBS@
488 X_LIBS = @X_LIBS@
489 X_PRE_LIBS = @X_PRE_LIBS@
490 YACC = @YACC@
491 YFLAGS = @YFLAGS@
492 abs_builddir = @abs_builddir@
493 abs_srcdir = @abs_srcdir@
494 abs_top_builddir = @abs_top_builddir@
495 abs_top_srcdir = @abs_top_srcdir@
496 ac_ct_AR = @ac_ct_AR@
497 ac_ct_CC = @ac_ct_CC@
498 ac_ct_CXX = @ac_ct_CXX@
499 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
500 ac_ct_F77 = @ac_ct_F77@
501 am__include = @am__include@
502 am__leading_dot = @am__leading_dot@
503 am__quote = @am__quote@
504 am__tar = @am__tar@
505 am__untar = @am__untar@
506 bindir = @bindir@
507 build = @build@
508 build_alias = @build_alias@
509 build_cpu = @build_cpu@
510 build_os = @build_os@
511 build_vendor = @build_vendor@
512 builddir = @builddir@
513 cxx_present = @cxx_present@
514 datadir = @datadir@
515 datarootdir = @datarootdir@
516 docdir = @docdir@
517 dvidir = @dvidir@
518 exec_prefix = @exec_prefix@
519 host = @host@
520 host_alias = @host_alias@
521 host_cpu = @host_cpu@
522 host_os = @host_os@
523 host_vendor = @host_vendor@
524 htmldir = @htmldir@
525 includedir = @includedir@
526 infodir = @infodir@
527 install_sh = @install_sh@
528 libdir = @libdir@
529 libexecdir = @libexecdir@
530 localedir = @localedir@
531 localstatedir = @localstatedir@
532 mandir = @mandir@
533 mkdir_p = @mkdir_p@
534 oldincludedir = @oldincludedir@
535 pdfdir = @pdfdir@
536 prefix = @prefix@
537 program_transform_name = @program_transform_name@
538 psdir = @psdir@
539 sbindir = @sbindir@
540 sharedstatedir = @sharedstatedir@
541 srcdir = @srcdir@
542 sysconfdir = @sysconfdir@
543 target_alias = @target_alias@
544 top_build_prefix = @top_build_prefix@
545 top_builddir = @top_builddir@
546 top_srcdir = @top_srcdir@
547 yacc_present = @yacc_present@
548 GATEWAY_C_SOURCES = \
549     sci_gateway/c/gw_functions.c
550
551 GATEWAY_CPP_SOURCES = \
552     sci_gateway/cpp/sci_exec.cpp \
553     sci_gateway/cpp/sci_functionlist.cpp \
554     sci_gateway/cpp/sci_whereis.cpp \
555     sci_gateway/cpp/sci_execstr.cpp \
556     sci_gateway/cpp/sci_getCurrentThreadId.cpp \
557     sci_gateway/cpp/sci_getThreads.cpp \
558     sci_gateway/cpp/sci_macrovar.cpp \
559     sci_gateway/cpp/sci_libraryinfo.cpp \
560     sci_gateway/cpp/sci_librarieslist.cpp
561
562 libscifunctions_la_CPPFLAGS = \
563     -I$(srcdir)/includes/ \
564     -I$(srcdir)/src/c/ \
565     -I$(top_srcdir)/modules/ast/includes/ast/ \
566     -I$(top_srcdir)/modules/ast/includes/exps/ \
567     -I$(top_srcdir)/modules/ast/includes/operations/ \
568     -I$(top_srcdir)/modules/ast/includes/parse/ \
569     -I$(top_srcdir)/modules/ast/includes/symbol/ \
570     -I$(top_srcdir)/modules/ast/includes/system_env/ \
571     -I$(top_srcdir)/modules/ast/includes/types/ \
572     -I$(top_srcdir)/modules/ast/includes/analysis/ \
573     -I$(top_srcdir)/modules/functions_manager/includes/ \
574     -I$(top_srcdir)/modules/api_scilab/includes/ \
575     -I$(top_srcdir)/modules/localization/includes/ \
576     -I$(top_srcdir)/modules/string/includes/ \
577     -I$(top_srcdir)/modules/fileio/includes \
578     -I$(top_srcdir)/modules/console/includes \
579     -I$(top_srcdir)/modules/output_stream/includes \
580     -I$(top_srcdir)/modules/threads/includes/ \
581     -I$(top_srcdir)/modules/elementary_functions/includes/ \
582     -I$(top_srcdir)/modules/dynamic_link/includes/ \
583     $(EIGEN_CPPFLAGS) \
584     $(AM_CPPFLAGS)
585
586 pkglib_LTLIBRARIES = libscifunctions.la
587 libscifunctions_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CPP_SOURCES)
588
589 # For the code check (splint)
590 CHECK_SRC = $(FUNCTIONS_SOURCES) $(GATEWAY_SOURCES)
591 INCLUDE_FLAGS = $(libscifunctions_la_CPPFLAGS)
592
593 #### Target ######
594 modulename = functions
595
596 #### functions : Conf files ####
597 libscifunctions_la_rootdir = $(mydatadir)
598 libscifunctions_la_root_DATA = license.txt
599
600 #### functions : init scripts ####
601 libscifunctions_la_etcdir = $(mydatadir)/etc
602 libscifunctions_la_etc_DATA = \
603     etc/functions.quit \
604     etc/functions.start
605
606
607 #### functions : gateway declaration ####
608 libscifunctions_la_sci_gatewaydir = $(mydatadir)/sci_gateway
609 libscifunctions_la_sci_gateway_DATA = sci_gateway/functions_gateway.xml
610
611 # Where all the Scilab stuff is installed (macros, help, ...)
612 mydatadir = $(pkgdatadir)/modules/$(modulename)
613
614 # Set AM_* SCI detected settings
615 AM_CPPFLAGS = $(SCI_CPPFLAGS)
616 AM_CFLAGS = $(SCI_CFLAGS)
617 AM_CXXFLAGS = $(SCI_CXXFLAGS)
618 # append includes to AM_FFLAGS to manage fortran includes
619 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
620
621 # Tag shared libraries with the Scilab version
622 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
623
624 # splint options
625 SPLINT_OPTIONS = -weak -booltype BOOL
626
627 ########################### JAVA ######################################
628 #### We are delegating java compilation to ant... Thanks to that
629 #### the procedure will be the same with Microsoft Windows (C)
630 #### and Linux/Unix
631 #######################################################################
632 TARGETS_ALL = $(am__append_1)
633
634 ################ MACROS ######################
635 # Rule to build a macro
636 # NOT USED  AT THE MOMENT
637 SUFFIXES = .sci
638
639 ########### INSTALL DOCUMENTATION ###################
640
641 # Install documentation files into the right target
642 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
643 # automake needs the html files to be present which is not the case when
644 # we are building Scilab
645
646 # Where it should be installed
647 pkgdocdir = $(mydatadir)
648
649 # What is the mask of the help source
650 DOCMASKXML = *.xml
651
652 # What is the mask of the MathML sources
653 DOCMASKMML = *.mml
654
655 ########### INSTALL DATA ###################
656 # Install macros, help & demos
657 # Where it should be installed
658 pkgmacrosdir = $(mydatadir)
659 # Which directory we process
660 MACRODIRS = macros/
661 # Mask of the Scilab sources macros
662 MACROMASK = *.sci
663 # Mask of the Scilab executable sources macros
664 MACROBUILDMASK = *.sce
665 # Mask of the Scilab compiled macros
666 MACROBINMASK = *.bin
667 # List of the standard directory for tests
668 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
669 # Where the demos should be installed
670 pkgdemosdir = $(mydatadir)
671 # List of the standard directory for demos
672 DEMOS_DIR = demos
673 # List of the standard directory for examples
674 EXAMPLES_DIR = examples
675 # Where to export JAVA archives (.jar)
676 JARDIR = jar/
677 # JAR files mask
678 JARMASK = *.jar
679 # Chapter file
680 HELP_CHAPTERDIR = help/
681 HELP_CHAPTERFILE = addchapter.sce
682 HELP_CHAPTERLANG = en_US fr_FR pt_BR
683 all: all-am
684
685 .SUFFIXES:
686 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
687 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
688         @for dep in $?; do \
689           case '$(am__configure_deps)' in \
690             *$$dep*) \
691               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
692                 && { if test -f $@; then exit 0; else break; fi; }; \
693               exit 1;; \
694           esac; \
695         done; \
696         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/functions/Makefile'; \
697         $(am__cd) $(top_srcdir) && \
698           $(AUTOMAKE) --foreign modules/functions/Makefile
699 .PRECIOUS: Makefile
700 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
701         @case '$?' in \
702           *config.status*) \
703             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
704           *) \
705             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
706             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
707         esac;
708 $(top_srcdir)/Makefile.incl.am:
709
710 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
711         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
712
713 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
714         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
715 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
716         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
717 $(am__aclocal_m4_deps):
718
719 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
720         @$(NORMAL_INSTALL)
721         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
722         list2=; for p in $$list; do \
723           if test -f $$p; then \
724             list2="$$list2 $$p"; \
725           else :; fi; \
726         done; \
727         test -z "$$list2" || { \
728           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
729           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
730           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
731           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
732         }
733
734 uninstall-pkglibLTLIBRARIES:
735         @$(NORMAL_UNINSTALL)
736         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
737         for p in $$list; do \
738           $(am__strip_dir) \
739           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
740           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
741         done
742
743 clean-pkglibLTLIBRARIES:
744         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
745         @list='$(pkglib_LTLIBRARIES)'; \
746         locs=`for p in $$list; do echo $$p; done | \
747               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
748               sort -u`; \
749         test -z "$$locs" || { \
750           echo rm -f $${locs}; \
751           rm -f $${locs}; \
752         }
753 sci_gateway/c/$(am__dirstamp):
754         @$(MKDIR_P) sci_gateway/c
755         @: > sci_gateway/c/$(am__dirstamp)
756 sci_gateway/c/$(DEPDIR)/$(am__dirstamp):
757         @$(MKDIR_P) sci_gateway/c/$(DEPDIR)
758         @: > sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
759 sci_gateway/c/libscifunctions_la-gw_functions.lo:  \
760         sci_gateway/c/$(am__dirstamp) \
761         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
762 sci_gateway/cpp/$(am__dirstamp):
763         @$(MKDIR_P) sci_gateway/cpp
764         @: > sci_gateway/cpp/$(am__dirstamp)
765 sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp):
766         @$(MKDIR_P) sci_gateway/cpp/$(DEPDIR)
767         @: > sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
768 sci_gateway/cpp/libscifunctions_la-sci_exec.lo:  \
769         sci_gateway/cpp/$(am__dirstamp) \
770         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
771 sci_gateway/cpp/libscifunctions_la-sci_functionlist.lo:  \
772         sci_gateway/cpp/$(am__dirstamp) \
773         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
774 sci_gateway/cpp/libscifunctions_la-sci_whereis.lo:  \
775         sci_gateway/cpp/$(am__dirstamp) \
776         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
777 sci_gateway/cpp/libscifunctions_la-sci_execstr.lo:  \
778         sci_gateway/cpp/$(am__dirstamp) \
779         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
780 sci_gateway/cpp/libscifunctions_la-sci_getCurrentThreadId.lo:  \
781         sci_gateway/cpp/$(am__dirstamp) \
782         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
783 sci_gateway/cpp/libscifunctions_la-sci_getThreads.lo:  \
784         sci_gateway/cpp/$(am__dirstamp) \
785         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
786 sci_gateway/cpp/libscifunctions_la-sci_macrovar.lo:  \
787         sci_gateway/cpp/$(am__dirstamp) \
788         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
789 sci_gateway/cpp/libscifunctions_la-sci_libraryinfo.lo:  \
790         sci_gateway/cpp/$(am__dirstamp) \
791         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
792 sci_gateway/cpp/libscifunctions_la-sci_librarieslist.lo:  \
793         sci_gateway/cpp/$(am__dirstamp) \
794         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
795
796 libscifunctions.la: $(libscifunctions_la_OBJECTS) $(libscifunctions_la_DEPENDENCIES) $(EXTRA_libscifunctions_la_DEPENDENCIES) 
797         $(AM_V_CXXLD)$(CXXLINK) -rpath $(pkglibdir) $(libscifunctions_la_OBJECTS) $(libscifunctions_la_LIBADD) $(LIBS)
798
799 mostlyclean-compile:
800         -rm -f *.$(OBJEXT)
801         -rm -f sci_gateway/c/*.$(OBJEXT)
802         -rm -f sci_gateway/c/*.lo
803         -rm -f sci_gateway/cpp/*.$(OBJEXT)
804         -rm -f sci_gateway/cpp/*.lo
805
806 distclean-compile:
807         -rm -f *.tab.c
808
809 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscifunctions_la-gw_functions.Plo@am__quote@
810 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_exec.Plo@am__quote@
811 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_execstr.Plo@am__quote@
812 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_functionlist.Plo@am__quote@
813 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_getCurrentThreadId.Plo@am__quote@
814 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_getThreads.Plo@am__quote@
815 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_librarieslist.Plo@am__quote@
816 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_libraryinfo.Plo@am__quote@
817 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_macrovar.Plo@am__quote@
818 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_whereis.Plo@am__quote@
819
820 .c.o:
821 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
822 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
823 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
824 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
825 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
826 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
827
828 .c.obj:
829 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
830 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
831 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
832 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
833 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
834 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
835
836 .c.lo:
837 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
838 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
839 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
840 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
841 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
842 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
843
844 sci_gateway/c/libscifunctions_la-gw_functions.lo: sci_gateway/c/gw_functions.c
845 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscifunctions_la-gw_functions.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscifunctions_la-gw_functions.Tpo -c -o sci_gateway/c/libscifunctions_la-gw_functions.lo `test -f 'sci_gateway/c/gw_functions.c' || echo '$(srcdir)/'`sci_gateway/c/gw_functions.c
846 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscifunctions_la-gw_functions.Tpo sci_gateway/c/$(DEPDIR)/libscifunctions_la-gw_functions.Plo
847 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_functions.c' object='sci_gateway/c/libscifunctions_la-gw_functions.lo' libtool=yes @AMDEPBACKSLASH@
848 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
849 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscifunctions_la-gw_functions.lo `test -f 'sci_gateway/c/gw_functions.c' || echo '$(srcdir)/'`sci_gateway/c/gw_functions.c
850
851 .cpp.o:
852 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
853 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
854 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
855 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
856 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
857 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
858
859 .cpp.obj:
860 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
861 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
862 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
863 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
864 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
865 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
866
867 .cpp.lo:
868 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
869 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
870 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
871 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
872 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
873 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
874
875 sci_gateway/cpp/libscifunctions_la-sci_exec.lo: sci_gateway/cpp/sci_exec.cpp
876 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_exec.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_exec.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_exec.lo `test -f 'sci_gateway/cpp/sci_exec.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_exec.cpp
877 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_exec.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_exec.Plo
878 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_exec.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_exec.lo' libtool=yes @AMDEPBACKSLASH@
879 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
880 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_exec.lo `test -f 'sci_gateway/cpp/sci_exec.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_exec.cpp
881
882 sci_gateway/cpp/libscifunctions_la-sci_functionlist.lo: sci_gateway/cpp/sci_functionlist.cpp
883 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_functionlist.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_functionlist.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_functionlist.lo `test -f 'sci_gateway/cpp/sci_functionlist.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_functionlist.cpp
884 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_functionlist.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_functionlist.Plo
885 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_functionlist.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_functionlist.lo' libtool=yes @AMDEPBACKSLASH@
886 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
887 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_functionlist.lo `test -f 'sci_gateway/cpp/sci_functionlist.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_functionlist.cpp
888
889 sci_gateway/cpp/libscifunctions_la-sci_whereis.lo: sci_gateway/cpp/sci_whereis.cpp
890 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_whereis.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_whereis.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_whereis.lo `test -f 'sci_gateway/cpp/sci_whereis.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_whereis.cpp
891 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_whereis.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_whereis.Plo
892 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_whereis.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_whereis.lo' libtool=yes @AMDEPBACKSLASH@
893 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
894 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_whereis.lo `test -f 'sci_gateway/cpp/sci_whereis.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_whereis.cpp
895
896 sci_gateway/cpp/libscifunctions_la-sci_execstr.lo: sci_gateway/cpp/sci_execstr.cpp
897 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_execstr.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_execstr.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_execstr.lo `test -f 'sci_gateway/cpp/sci_execstr.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_execstr.cpp
898 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_execstr.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_execstr.Plo
899 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_execstr.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_execstr.lo' libtool=yes @AMDEPBACKSLASH@
900 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
901 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_execstr.lo `test -f 'sci_gateway/cpp/sci_execstr.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_execstr.cpp
902
903 sci_gateway/cpp/libscifunctions_la-sci_getCurrentThreadId.lo: sci_gateway/cpp/sci_getCurrentThreadId.cpp
904 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_getCurrentThreadId.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_getCurrentThreadId.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_getCurrentThreadId.lo `test -f 'sci_gateway/cpp/sci_getCurrentThreadId.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_getCurrentThreadId.cpp
905 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_getCurrentThreadId.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_getCurrentThreadId.Plo
906 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_getCurrentThreadId.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_getCurrentThreadId.lo' libtool=yes @AMDEPBACKSLASH@
907 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
908 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_getCurrentThreadId.lo `test -f 'sci_gateway/cpp/sci_getCurrentThreadId.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_getCurrentThreadId.cpp
909
910 sci_gateway/cpp/libscifunctions_la-sci_getThreads.lo: sci_gateway/cpp/sci_getThreads.cpp
911 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_getThreads.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_getThreads.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_getThreads.lo `test -f 'sci_gateway/cpp/sci_getThreads.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_getThreads.cpp
912 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_getThreads.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_getThreads.Plo
913 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_getThreads.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_getThreads.lo' libtool=yes @AMDEPBACKSLASH@
914 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
915 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_getThreads.lo `test -f 'sci_gateway/cpp/sci_getThreads.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_getThreads.cpp
916
917 sci_gateway/cpp/libscifunctions_la-sci_macrovar.lo: sci_gateway/cpp/sci_macrovar.cpp
918 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_macrovar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_macrovar.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_macrovar.lo `test -f 'sci_gateway/cpp/sci_macrovar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_macrovar.cpp
919 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_macrovar.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_macrovar.Plo
920 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_macrovar.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_macrovar.lo' libtool=yes @AMDEPBACKSLASH@
921 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
922 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_macrovar.lo `test -f 'sci_gateway/cpp/sci_macrovar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_macrovar.cpp
923
924 sci_gateway/cpp/libscifunctions_la-sci_libraryinfo.lo: sci_gateway/cpp/sci_libraryinfo.cpp
925 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_libraryinfo.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_libraryinfo.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_libraryinfo.lo `test -f 'sci_gateway/cpp/sci_libraryinfo.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_libraryinfo.cpp
926 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_libraryinfo.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_libraryinfo.Plo
927 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_libraryinfo.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_libraryinfo.lo' libtool=yes @AMDEPBACKSLASH@
928 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
929 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_libraryinfo.lo `test -f 'sci_gateway/cpp/sci_libraryinfo.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_libraryinfo.cpp
930
931 sci_gateway/cpp/libscifunctions_la-sci_librarieslist.lo: sci_gateway/cpp/sci_librarieslist.cpp
932 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_librarieslist.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_librarieslist.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_librarieslist.lo `test -f 'sci_gateway/cpp/sci_librarieslist.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_librarieslist.cpp
933 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_librarieslist.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_librarieslist.Plo
934 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_librarieslist.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_librarieslist.lo' libtool=yes @AMDEPBACKSLASH@
935 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
936 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_librarieslist.lo `test -f 'sci_gateway/cpp/sci_librarieslist.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_librarieslist.cpp
937
938 mostlyclean-libtool:
939         -rm -f *.lo
940
941 clean-libtool:
942         -rm -rf .libs _libs
943         -rm -rf sci_gateway/c/.libs sci_gateway/c/_libs
944         -rm -rf sci_gateway/cpp/.libs sci_gateway/cpp/_libs
945 install-libscifunctions_la_etcDATA: $(libscifunctions_la_etc_DATA)
946         @$(NORMAL_INSTALL)
947         @list='$(libscifunctions_la_etc_DATA)'; test -n "$(libscifunctions_la_etcdir)" || list=; \
948         if test -n "$$list"; then \
949           echo " $(MKDIR_P) '$(DESTDIR)$(libscifunctions_la_etcdir)'"; \
950           $(MKDIR_P) "$(DESTDIR)$(libscifunctions_la_etcdir)" || exit 1; \
951         fi; \
952         for p in $$list; do \
953           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
954           echo "$$d$$p"; \
955         done | $(am__base_list) | \
956         while read files; do \
957           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscifunctions_la_etcdir)'"; \
958           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscifunctions_la_etcdir)" || exit $$?; \
959         done
960
961 uninstall-libscifunctions_la_etcDATA:
962         @$(NORMAL_UNINSTALL)
963         @list='$(libscifunctions_la_etc_DATA)'; test -n "$(libscifunctions_la_etcdir)" || list=; \
964         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
965         dir='$(DESTDIR)$(libscifunctions_la_etcdir)'; $(am__uninstall_files_from_dir)
966 install-libscifunctions_la_rootDATA: $(libscifunctions_la_root_DATA)
967         @$(NORMAL_INSTALL)
968         @list='$(libscifunctions_la_root_DATA)'; test -n "$(libscifunctions_la_rootdir)" || list=; \
969         if test -n "$$list"; then \
970           echo " $(MKDIR_P) '$(DESTDIR)$(libscifunctions_la_rootdir)'"; \
971           $(MKDIR_P) "$(DESTDIR)$(libscifunctions_la_rootdir)" || exit 1; \
972         fi; \
973         for p in $$list; do \
974           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
975           echo "$$d$$p"; \
976         done | $(am__base_list) | \
977         while read files; do \
978           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscifunctions_la_rootdir)'"; \
979           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscifunctions_la_rootdir)" || exit $$?; \
980         done
981
982 uninstall-libscifunctions_la_rootDATA:
983         @$(NORMAL_UNINSTALL)
984         @list='$(libscifunctions_la_root_DATA)'; test -n "$(libscifunctions_la_rootdir)" || list=; \
985         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
986         dir='$(DESTDIR)$(libscifunctions_la_rootdir)'; $(am__uninstall_files_from_dir)
987 install-libscifunctions_la_sci_gatewayDATA: $(libscifunctions_la_sci_gateway_DATA)
988         @$(NORMAL_INSTALL)
989         @list='$(libscifunctions_la_sci_gateway_DATA)'; test -n "$(libscifunctions_la_sci_gatewaydir)" || list=; \
990         if test -n "$$list"; then \
991           echo " $(MKDIR_P) '$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)'"; \
992           $(MKDIR_P) "$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)" || exit 1; \
993         fi; \
994         for p in $$list; do \
995           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
996           echo "$$d$$p"; \
997         done | $(am__base_list) | \
998         while read files; do \
999           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)'"; \
1000           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)" || exit $$?; \
1001         done
1002
1003 uninstall-libscifunctions_la_sci_gatewayDATA:
1004         @$(NORMAL_UNINSTALL)
1005         @list='$(libscifunctions_la_sci_gateway_DATA)'; test -n "$(libscifunctions_la_sci_gatewaydir)" || list=; \
1006         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1007         dir='$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1008
1009 ID: $(am__tagged_files)
1010         $(am__define_uniq_tagged_files); mkid -fID $$unique
1011 tags: tags-am
1012 TAGS: tags
1013
1014 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1015         set x; \
1016         here=`pwd`; \
1017         $(am__define_uniq_tagged_files); \
1018         shift; \
1019         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1020           test -n "$$unique" || unique=$$empty_fix; \
1021           if test $$# -gt 0; then \
1022             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1023               "$$@" $$unique; \
1024           else \
1025             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1026               $$unique; \
1027           fi; \
1028         fi
1029 ctags: ctags-am
1030
1031 CTAGS: ctags
1032 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1033         $(am__define_uniq_tagged_files); \
1034         test -z "$(CTAGS_ARGS)$$unique" \
1035           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1036              $$unique
1037
1038 GTAGS:
1039         here=`$(am__cd) $(top_builddir) && pwd` \
1040           && $(am__cd) $(top_srcdir) \
1041           && gtags -i $(GTAGS_ARGS) "$$here"
1042 cscopelist: cscopelist-am
1043
1044 cscopelist-am: $(am__tagged_files)
1045         list='$(am__tagged_files)'; \
1046         case "$(srcdir)" in \
1047           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1048           *) sdir=$(subdir)/$(srcdir) ;; \
1049         esac; \
1050         for i in $$list; do \
1051           if test -f "$$i"; then \
1052             echo "$(subdir)/$$i"; \
1053           else \
1054             echo "$$sdir/$$i"; \
1055           fi; \
1056         done >> $(top_builddir)/cscope.files
1057
1058 distclean-tags:
1059         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1060
1061 distdir: $(DISTFILES)
1062         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1063         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1064         list='$(DISTFILES)'; \
1065           dist_files=`for file in $$list; do echo $$file; done | \
1066           sed -e "s|^$$srcdirstrip/||;t" \
1067               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1068         case $$dist_files in \
1069           */*) $(MKDIR_P) `echo "$$dist_files" | \
1070                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1071                            sort -u` ;; \
1072         esac; \
1073         for file in $$dist_files; do \
1074           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1075           if test -d $$d/$$file; then \
1076             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1077             if test -d "$(distdir)/$$file"; then \
1078               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1079             fi; \
1080             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1081               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1082               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1083             fi; \
1084             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1085           else \
1086             test -f "$(distdir)/$$file" \
1087             || cp -p $$d/$$file "$(distdir)/$$file" \
1088             || exit 1; \
1089           fi; \
1090         done
1091 check-am: all-am
1092         $(MAKE) $(AM_MAKEFLAGS) check-local
1093 check: check-am
1094 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1095 installdirs:
1096         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscifunctions_la_etcdir)" "$(DESTDIR)$(libscifunctions_la_rootdir)" "$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)"; do \
1097           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1098         done
1099 install: install-am
1100 install-exec: install-exec-am
1101 install-data: install-data-am
1102 uninstall: uninstall-am
1103
1104 install-am: all-am
1105         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1106
1107 installcheck: installcheck-am
1108 install-strip:
1109         if test -z '$(STRIP)'; then \
1110           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1111             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1112               install; \
1113         else \
1114           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1115             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1116             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1117         fi
1118 mostlyclean-generic:
1119
1120 clean-generic:
1121
1122 distclean-generic:
1123         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1124         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1125         -rm -f sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1126         -rm -f sci_gateway/c/$(am__dirstamp)
1127         -rm -f sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
1128         -rm -f sci_gateway/cpp/$(am__dirstamp)
1129
1130 maintainer-clean-generic:
1131         @echo "This command is intended for maintainers to use"
1132         @echo "it deletes files that may require special tools to rebuild."
1133 clean: clean-am
1134
1135 clean-am: clean-generic clean-libtool clean-local \
1136         clean-pkglibLTLIBRARIES mostlyclean-am
1137
1138 distclean: distclean-am
1139         -rm -rf sci_gateway/c/$(DEPDIR) sci_gateway/cpp/$(DEPDIR)
1140         -rm -f Makefile
1141 distclean-am: clean-am distclean-compile distclean-generic \
1142         distclean-local distclean-tags
1143
1144 dvi: dvi-am
1145
1146 dvi-am:
1147
1148 html: html-am
1149
1150 html-am:
1151
1152 info: info-am
1153
1154 info-am:
1155
1156 install-data-am: install-data-local install-libscifunctions_la_etcDATA \
1157         install-libscifunctions_la_rootDATA \
1158         install-libscifunctions_la_sci_gatewayDATA
1159
1160 install-dvi: install-dvi-am
1161
1162 install-dvi-am:
1163
1164 install-exec-am: install-pkglibLTLIBRARIES
1165
1166 install-html: install-html-am
1167
1168 install-html-am: install-html-local
1169
1170 install-info: install-info-am
1171
1172 install-info-am:
1173
1174 install-man:
1175
1176 install-pdf: install-pdf-am
1177
1178 install-pdf-am:
1179
1180 install-ps: install-ps-am
1181
1182 install-ps-am:
1183
1184 installcheck-am:
1185
1186 maintainer-clean: maintainer-clean-am
1187         -rm -rf sci_gateway/c/$(DEPDIR) sci_gateway/cpp/$(DEPDIR)
1188         -rm -f Makefile
1189 maintainer-clean-am: distclean-am maintainer-clean-generic
1190
1191 mostlyclean: mostlyclean-am
1192
1193 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1194         mostlyclean-libtool
1195
1196 pdf: pdf-am
1197
1198 pdf-am:
1199
1200 ps: ps-am
1201
1202 ps-am:
1203
1204 uninstall-am: uninstall-libscifunctions_la_etcDATA \
1205         uninstall-libscifunctions_la_rootDATA \
1206         uninstall-libscifunctions_la_sci_gatewayDATA \
1207         uninstall-pkglibLTLIBRARIES
1208
1209 .MAKE: check-am install-am install-strip
1210
1211 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1212         check-local clean clean-generic clean-libtool clean-local \
1213         clean-pkglibLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1214         distclean-compile distclean-generic distclean-libtool \
1215         distclean-local distclean-tags distdir dvi dvi-am html html-am \
1216         info info-am install install-am install-data install-data-am \
1217         install-data-local install-dvi install-dvi-am install-exec \
1218         install-exec-am install-html install-html-am \
1219         install-html-local install-info install-info-am \
1220         install-libscifunctions_la_etcDATA \
1221         install-libscifunctions_la_rootDATA \
1222         install-libscifunctions_la_sci_gatewayDATA install-man \
1223         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1224         install-ps install-ps-am install-strip installcheck \
1225         installcheck-am installdirs maintainer-clean \
1226         maintainer-clean-generic mostlyclean mostlyclean-compile \
1227         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1228         tags tags-am uninstall uninstall-am \
1229         uninstall-libscifunctions_la_etcDATA \
1230         uninstall-libscifunctions_la_rootDATA \
1231         uninstall-libscifunctions_la_sci_gatewayDATA \
1232         uninstall-pkglibLTLIBRARIES
1233
1234
1235 # This target enables tests for Scilab
1236 check-local: $(top_builddir)/scilab-bin test
1237         if test -d $(mydatadir)/tests; then \
1238           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1239         fi
1240 check-code:
1241         if test -f build.xml; then \
1242                 $(ANT) checkstyle; \
1243         fi
1244         if test -x "$(SPLINT)"; then \
1245                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1246         fi
1247 @NEED_JAVA_TRUE@java:
1248 # Some configurations needs to export JAVA_HOME in the current env
1249 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1250 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1251 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1252 @NEED_JAVA_TRUE@                $(ANT); \
1253 @NEED_JAVA_TRUE@        fi
1254
1255 @NEED_JAVA_TRUE@clean-java:
1256 # Some configurations needs to export JAVA_HOME in the current env
1257 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1258 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1259 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1260 @NEED_JAVA_TRUE@                $(ANT) clean; \
1261 @NEED_JAVA_TRUE@        fi;
1262
1263 # If the user request for the SWIG generation of the wrappers Java => C/C++
1264 # We call the target swig-build on the variable SWIG_WRAPPERS
1265
1266 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1267 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1268 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1269 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1270 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1271 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1272 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) $(SWIG_OPTIONS) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1273 @SWIG_TRUE@             done; \
1274 @SWIG_TRUE@     fi
1275
1276 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1277 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1278 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1279 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1280 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1281 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB) $(SWIG_OPTIONS) -outdir $$SWIG_OUTDIR $$file; \
1282 @SWIG_TRUE@             done; \
1283 @SWIG_TRUE@     fi
1284
1285 # If the user request for the SWIG generation of the wrappers Java => C/C++
1286 # We call the target swig-build on the variable SWIG_WRAPPERS
1287
1288 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1289 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1290 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1291 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1292 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1293 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1294 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1295 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1296 @GIWS_TRUE@                     else \
1297 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1298 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1299 @GIWS_TRUE@                     fi \
1300 @GIWS_TRUE@             done; \
1301 @GIWS_TRUE@     fi
1302
1303 @GIWS_TRUE@giws-exception:
1304 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1305 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1306 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR
1307
1308 macros:
1309         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1310                 echo "Error : Cannot build $< : Scilab has not been built"; \
1311         else \
1312                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1313         fi)
1314
1315 # Removes the macros
1316 clean-macros:
1317 # Removes macros (*.bin generated from .sci)
1318         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1319                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1320                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1321         done
1322
1323 test:
1324 # More tests could be added here
1325         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1326         if test -f build.xml -a $$USEANT -eq 1; then \
1327                 $(ANT) test; \
1328         fi
1329
1330 all-local: $(TARGETS_ALL)
1331
1332 .sci.bin:
1333         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1334         echo "Error : Cannot build $< : Scilab has not been build"; \
1335         else \
1336         echo "Creating $@"; \
1337         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1338         fi )
1339
1340 install-html-local:
1341
1342 install-data-local-local:
1343 # Mainly for javasci
1344         @if test -d $(srcdir)/javadoc; then \
1345                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1346         fi
1347 # If the user wants the help sources to be installed
1348 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1349 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1350 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1351 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1352 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1353 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1354 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1355 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1356 @INSTALL_HELP_XML_TRUE@           done ; \
1357 @INSTALL_HELP_XML_TRUE@         fi; \
1358 @INSTALL_HELP_XML_TRUE@  fi; \
1359 @INSTALL_HELP_XML_TRUE@ done; \
1360 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1361 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1362 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1363 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1364 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1365 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1366 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1367 @INSTALL_HELP_XML_TRUE@           done ; \
1368 @INSTALL_HELP_XML_TRUE@         fi; \
1369 @INSTALL_HELP_XML_TRUE@ fi
1370 install-data-local:
1371 # Install the tests
1372         @echo "-------- Install tests (if any) --------"; \
1373         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1374           if test -d $(srcdir)/$$dir/; then \
1375             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1376                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1377                     if test -d "$(srcdir)/$$dir/$$file"; then \
1378                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1379                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1380                     else \
1381                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1382                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1383                     fi \
1384                   done; \
1385           fi; \
1386         done
1387 # Install the help chapter
1388         @echo "-------- Install the help chapter (if any) --------"; \
1389         for lang in $(HELP_CHAPTERLANG); do \
1390                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1391                 if test -f $$HELPFILE; then \
1392                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1393                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1394                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1395                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1396                 fi; \
1397         done
1398 # Install the demos & examples
1399         @echo "-------- Install demos & examples (if any) --------"; \
1400         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1401           if test -d $(srcdir)/$$dir/; then \
1402             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1403                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1404                     if test -d "$(srcdir)/$$dir/$$file"; then \
1405                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1406                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1407                     else \
1408                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1409                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1410                     fi \
1411                   done; \
1412           fi; \
1413         done
1414 # Install the macros
1415         @echo "-------- Install macros (if any) --------"; \
1416         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1417           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1418                 if test -d $(srcdir)/$$dir/; then \
1419                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1420                         if test -n "$(MACROSSPECIALEXT)"; then \
1421                                 specialExtDir=""; \
1422                                 for specialExt in $(MACROSSPECIALEXT); do \
1423                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1424                                 done; \
1425                                 FILELIST="$$FILELIST $$specialExtDir"; \
1426                         fi; \
1427                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1428                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1429                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1430                   done; \
1431                 fi; \
1432         done
1433 # Install java files (.jar)
1434         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1435         echo "-------- Install jar files --------"; \
1436     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1437           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1438                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1439                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1440           done ; \
1441         fi
1442
1443 ########### CLEAN ###################
1444 # Clean help (generated automatically by Scilab)
1445 # It used to clean the macro (clean-macros) but this was causing
1446 # make clean && make to fail Scilab startup
1447 @NEED_JAVA_TRUE@clean-local: clean-java
1448 @NEED_JAVA_FALSE@clean-local:
1449
1450 distclean-local:
1451         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1452
1453 .PHONY: macros java swig giws
1454
1455 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1456 # Otherwise a system limit (for SysV at least) may be exceeded.
1457 .NOEXPORT: